<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>com.aptener.bluconnect.app.ble</title>
<link href="../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../styles/style.css" rel="Stylesheet"><link href="../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../styles/main.css" rel="Stylesheet"><link href="../../styles/prism.css" rel="Stylesheet"><link href="../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../scripts/main.js" async="async"></script><script type="text/javascript" src="../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../index.html">bluconnect</a></div>
      <div></div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main"><script type="text/javascript" src="../../scripts/main.js"></script>
        <div class="main-content" id="content" pageIds="bluconnect::com.aptener.bluconnect.app.ble////PointingToDeclaration//-1410038383">
          <div class="breadcrumbs"><a href="../../index.html">bluconnect</a>/<a href="index.html">com.aptener.bluconnect.app.ble</a></div>
          <div class="cover ">
            <h1 class="cover"><span><span>Package</span></span> <span>com.</span><wbr></wbr><span>aptener.</span><wbr></wbr><span>bluconnect.</span><wbr></wbr><span>app.</span><wbr></wbr><span>ble</span></h1>
          </div>
          <div class="tabbedcontent">
            <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="Types">Types</button></div>
            <div class="tabs-section-body">
              <h2 class="">Types</h2>
              <div class="table" data-togglable="Types"><a data-name="-460752762%2FClasslikes%2F-1410038383" anchor-label="Ble" id="-460752762%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-ble/index.html"><span><span>Ble</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-460752762%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-ble/index.html">Ble</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>bluetoothClassic<span class="token operator">: </span><a href="../com.aptener.bluconnect.client.utility/-bluetooth-classic/index.html">BluetoothClassic</a><span class="token punctuation">, </span>locationService<span class="token operator">: </span><a href="../com.aptener.bluconnect.client.utility/-location-service/index.html">LocationService</a><span class="token punctuation">, </span>bleApp<span class="token operator">: </span><a href="-ble-app/index.html">BleApp</a><span class="token punctuation">, </span>uiCoroutineScope<span class="token operator">: </span><span data-unresolved-link="kotlinx.coroutines/CoroutineScope///PointingToDeclaration/">CoroutineScope</span><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.app/-base-screen/index.html">BaseScreen</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="-ble-app-contractor/-state/index.html">BleAppContractor.State</a><span class="token operator">&gt; </span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1641731877%2FClasslikes%2F-1410038383" anchor-label="BleApp" id="-1641731877%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-ble-app/index.html"><span>Ble</span><wbr></wbr><span><span>App</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1641731877%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-ble-app/index.html">BleApp</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentThread<span class="token operator">: </span><span data-unresolved-link="kotlinx.coroutines/CoroutineScope///PointingToDeclaration/">CoroutineScope</span><span class="token punctuation">, </span>stateThread<span class="token operator">: </span><span data-unresolved-link="kotlinx.coroutines/CoroutineScope///PointingToDeclaration/">CoroutineScope</span><span class="token punctuation">, </span>scanner<span class="token operator">: </span><a href="../com.aptener.bluconnect.app.ble.usecase/-scanner/index.html">Scanner</a><span class="token punctuation">, </span>gattCtrl<span class="token operator">: </span><a href="../com.aptener.bluconnect.app.ble.usecase/-gatt-ctrl/index.html">GattCtrl</a><span class="token punctuation">, </span>gattConnectionCtrl<span class="token operator">: </span><a href="../com.aptener.bluconnect.app.ble.usecase/-gatt-connection-ctrl/index.html">GattConnectionCtrl</a><span class="token punctuation">, </span>aclConnectionObserver<span class="token operator">: </span><a href="../com.aptener.bluconnect.app.ble.usecase/-acl-connection-observer/index.html">AclConnectionObserver</a><span class="token punctuation">, </span>bluetoothStateObserver<span class="token operator">: </span><a href="../com.aptener.bluconnect.app.ble.usecase/-bluetooth-state-observer/index.html">BluetoothStateObserver</a><span class="token punctuation">, </span>locationStateObserver<span class="token operator">: </span><a href="../com.aptener.bluconnect.app.ble.usecase/-location-state-observer/index.html">LocationStateObserver</a><span class="token punctuation">, </span>locationCtrl<span class="token operator">: </span><a href="../com.aptener.bluconnect.app/-location-ctrl/index.html">LocationCtrl</a><span class="token punctuation">, </span>systemPermissionObserver<span class="token operator">: </span><a href="../com.aptener.bluconnect.app.ble.usecase/-system-permission-observer/index.html">SystemPermissionObserver</a><span class="token punctuation">, </span>context<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/content/Context.html">Context</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.app/-base-presenter/index.html">BasePresenter</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="-ble-app-contractor/-state/index.html">BleAppContractor.State</a><span class="token punctuation">, </span><span class="token keyword"></span><a href="-ble-app-contractor/-partial-state/index.html">BleAppContractor.PartialState</a><span class="token operator">&gt; </span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="584417126%2FClasslikes%2F-1410038383" anchor-label="BleAppContractor" id="584417126%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-ble-app-contractor/index.html"><span>Ble</span><wbr></wbr><span>App</span><wbr></wbr><span><span>Contractor</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="584417126%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-ble-app-contractor/index.html">BleAppContractor</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="514387255%2FClasslikes%2F-1410038383" anchor-label="BleAppPrefs" id="514387255%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-ble-app-prefs/index.html"><span>Ble</span><wbr></wbr><span>App</span><wbr></wbr><span><span>Prefs</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="514387255%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-ble-app-prefs/index.html">BleAppPrefs</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>sdkPrefs<span class="token operator">: </span><a href="../com.aptener.bluconnect.repo.local.sharedpref/-sdk-prefs/index.html">SdkPrefs</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

